changeset 7:d49ae6a0ecda draft

Uploaded
author eugen
date Thu, 16 Aug 2012 04:13:42 -0400
parents 54492fec12ba
children 87af1f51d270
files bsmap_meth_caller.sh
diffstat 1 files changed, 34 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bsmap_meth_caller.sh	Thu Aug 16 04:13:42 2012 -0400
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Galaxy wrapper for BSMAP Methylation Caller
+#
+
+set -e
+
+#get parameters
+
+until [ $# -eq 0 ]
+do
+	case $1 in
+		input=*)
+			input=${1#input=}
+			;;
+		method=*)
+			method=${1#method=}
+			;;
+		output=*)
+			output=${1#output=}
+			;;
+		tempdir=*)
+			tempdir=${1#tempdir=}
+			;;
+		ref=*)
+			ref=${1#ref=}
+			;;
+	esac
+	shift
+done
+
+#echo $ref
+
+python ~/dependencies/bsmap-2.6/methratio.py -o $output -d $ref -q $input
\ No newline at end of file